--- 
 - hosts: linux

   vars_files: 
   - shortlist

   tasks:
   - name: create a boat load of users
     user:
       name: "{{item}}"
       shell: /bin/bash 
       groups: sudo
       password: $6$rounds=656000$FnrPYxM9hqrwqz60$jx1rzSzEm/HFwsZukddimWCNO1qTkMCmsdS7m4B50zAWVFQwi4ic4t5pWtCpahu/PFX6.cnPUuziwV4CyH5JQ/ 
       append: yes
     with_items: users
     ignore_errors: yes
     tags: create

   - name: create keys
     authorized_key:
       user: "{{ item }}"
       key:  "{{ lookup('file', 'id_rsa.pub') }}"
     with_items: users
     ignore_errors: yes
     tags: keys
